module Nadir
  class Railtie < Rails::Railtie
    initializer 'Nadir.use_rack_middleware' do |app|
      if defined? ActionDispatch::DebugExceptions
        app.middleware.insert_after ActionDispatch::DebugExceptions, Nadir::Middleware::Rack
      else
        app.middleware.use Nadir::Middleware::Rack
      end
    end

    initializer 'Nadir.configuration' do |app|
      Nadir.config.load_for app
    end
  end
end
